<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('members', function (Blueprint $table) {
            $table->boolean('is_archived')->nullable();
            $table->timestamp('archived_date')->nullable()->after('is_archived');
            $table->boolean('is_deleted')->nullable();
            $table->timestamp('deleted_date')->nullable()->after('is_deleted');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('members', function (Blueprint $table) {
            $table->dropColumn('is_archived');
            $table->dropColumn('archived_date');
            $table->dropColumn('is_deleted');
            $table->dropColumn('deleted_date');
        });
    }
};
